; $Id: dcs_sysvars.pro,v 1.7 2002/07/15 20:28:39 john Exp $
; Written by J.R.D. Copley.
;************************************************************************************************
pro dcs_sysvars,davePtr=davePtr
;************************************************************************************************
;
compile_opt strictarr
;
defsysv,'!dcs_hom',(!dave_planck/!dave_nmass)*1.e7
defsysv,'!dcs_hbar',(!dave_planck/(2*!dpi))*1.e7
defsysv,'!dcs_mevcon',!dave_e*1.e4
defsysv,'!dcs_hsq2mn',(!dave_planck*1.e7)^2/(2.0*!dave_nmass)/!dcs_mevcon*1.e13
defsysv,'!dcs_boltzmann',!dave_boltzmann*1.e7
;
defsysv,'!dcs_dsd',4010.0
defsysv,'!ext_pgen',120.0
;
; Check the raw data and working directories.
; If necessary append an appropriate slash.
data_directory=(*!dave_defaults).datDir
if (strmid(data_directory,0,/reverse_offset) ne !delimiter) then $
	data_directory=data_directory+!delimiter
defsysv,'!dcs_data_directory',data_directory,0
;
outp_directory=(*!dave_defaults).workDir
if (strmid(outp_directory,0,/reverse_offset) ne !delimiter) then $
	outp_directory=outp_directory+!delimiter
defsysv,'!dcs_outp_directory',outp_directory,0
;
end