;$Id: trifenestra_imagebase.pro,v 1.1 2002/07/05 17:59:50 amunter Exp $
;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************
;
;	TRANSPOSE
;
;*******************************************************************************

;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************
;

;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************
pro trifenestra::image_xmin, event

	widget_control, event.id, get_value = value
	!trifenestra.mainWindowState.bang_x.range[0] = value
	self -> updateImage

end
pro trifenestra::image_xmax, event

	widget_control, event.id, get_value = value
	!trifenestra.mainWindowState.bang_x.range[1] = value
	self -> updateImage

end
pro trifenestra::image_ymin, event

	widget_control, event.id, get_value = value
	!trifenestra.mainWindowState.bang_y.range[0] = value
	self -> updateImage

end
pro trifenestra::image_ymax, event

	widget_control, event.id, get_value = value
	!trifenestra.mainWindowState.bang_y.range[1] = value
	self -> updateImage
end
;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************
function trifenestra_imagebase, base

	; Define the Base.
	imagebase =  widget_base( base $
		, /frame $
		, /col $
		, /base_align_right $
		, uname = 'imagebase' $
		, event_pro = 'trifenestra_event')

	; LABEL
	void = widget_label( imagebase $
		, value= 'Main Display'	$
		, /align_center $
		, font='helvetica*14*bold')

	; Z Range
	!trifenestra.self -> widgets, cw_field( imagebase $
		, title = 'Z min  ' $
		, value=!z.range[0] $
		, uname='zmin' $
		, uvalue = 'updateImageEvent' $
		, /return_events $
		, /floating $
		, xsize = 12 )

	!trifenestra.self -> widgets,  cw_field( imagebase $
		, title = 'Z max  ' $
		, value=!z.range[1] $
		, uname='zmax' $
		, uvalue = 'updateImageEvent' $
		, /return_events $
		, /floating $
		, xsize = 12 )

	; X Range
	!trifenestra.self -> widgets,  cw_field( imagebase $
		, title = 'X min  ' $
		, value=!x.range[0] $
		, uvalue='image_xmin' $
		, uname='image_xmin' $
		, /return_events $
		, /floating $
		, xsize = 12 )

	!trifenestra.self -> widgets, cw_field( imagebase $
		, title = 'X max  ' $
		, value=!x.range[1] $
		, uvalue='image_xmax' $
		, uname='image_xmax' $
		, /return_events $
		, /floating $
		, xsize = 12 )

	; Y Range
	!trifenestra.self -> widgets, cw_field( imagebase $
		, title = 'Y min  ' $
		, value=!y.range[0] $
		, uvalue='image_ymin' $
		, uname='image_ymin' $
		, /return_events $
		, /floating $
		, xsize = 12 )

	!trifenestra.self -> widgets, cw_field( imagebase $
		, title = 'Y max  ' $
		, value=!y.range[1] $
		, uvalue='image_ymax' $
		, uname='image_ymax' $
		, /return_events $
		, /floating $
		, xsize = 12 )

	; Transpose Button
	; self.tp = 'Transpose'
	;!trifenestra.self -> widgets, widget_button( imagebase $
	;	, value= 'Transpose' $
	;	, uname='transpid' $
	;	, uvalue = 'TranspEvent' $
	;	, event_pro='trifenestra_event')

	; Q -> Angle Button
	; self.qorangle = 'Q -> Angle'
	;qtoangleid = widget_button( imagebase $
	;	, value='Q -> Angle' $
	;	, uname='qtoangle' $
	;	, uvalue = 'qtoangleEvent' $
	;	, event_pro='trifenestra_event')

	; I -> log(I) Button
	; self.log_scale = 'I -> log(I)'
	;!trifenestra.self -> widgets, widget_button( imagebase $
	;	, value= 'I -> Log(I)' $
	;	, uname ='log_scale' $
	;	, uvalue = 'dologscaleEvent' $
	;	, event_pro = 'trifenestra_event' $
	;	)

	;!trifenestra.self -> widgets, widget_button( imagebase $
	;	, value= 'Raw Button' $
	;	, uname ='rawButton' $
	;	, uvalue = 'rawButton' $
	;	, event_pro = 'trifenestra_event' $
	;	)

	;!trifenestra.self -> widget_control, 'rawButton', sensitive = 0

	return, imagebase

end
;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************
