; $Id: dcs_clean_date.pro,v 1.2 2002/07/13 20:14:57 john Exp $
; Written by J.R.D. Copley.
;************************************************************************************************
function dcs_clean_date,mon,day,year,hour,minute
;************************************************************************************************
;
compile_opt strictarr
;
; This function returns a date/time in the form mm/dd/yy hh:mm. Specifically it
; inserts leading zeros as needed.
cmon=strtrim(mon,2)
if (mon lt 10) then cmon='0'+cmon
cday=strtrim(day,2)
if (day lt 10) then cday='0'+cday
cyear=strmid(strtrim(year,2),2)
chour=strtrim(hour,2)
if (hour lt 10) then chour='0'+chour
cminute=strtrim(minute,2)
if (minute lt 10) then cminute='0'+cminute
cdate=cmon+'/'+cday+'/'+cyear+' '+chour+':'+cminute
return,cdate
end
