;$Id: array_size_equal.pro,v 1.1 2002/04/22 13:48:57 jmspark Exp $
; Compares the sizes of the two arrays.
; If everything is identical except values, return 1.
; 0 otherwise.
;
function array_equal_size $
	, a, b

	if n_elements( a ) eq 0 or n_elements( b ) eq 0 then return, 0

	a_size = size( a )
	b_size = size( b )

	if a_size[0] ne b_size[0] then return, 0

	return, array_equal( a_size[0:a_size[0]], b_size[0:b_size[0]] )

end